Get workbook export status

Returns the status of the specified workbook export.

Request

POST

http://<хост_on-premises>/rpc/getWorkbookExportStatus

Headers

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

Body

application/json
{
  "exportId": "example"
}

Name

Description

exportId

Type: string

ID of the workbook export whose status to retrieve.

Example: example

Responses

200 OK

Response

Body

application/json
{
  "exportId": "example",
  "status": "pending",
  "progress": 0.5,
  "notifications": [
    {
      "entryId": "example",
      "scope": "dash",
      "code": "example",
      "message": "example",
      "level": "info",
      "details": null
    }
  ]
}

Name

Description

exportId

Type: string

ID of the workbook export.

Example: example

progress

Type: number

Workbook export progress percentage.

status

Type: WorkbookTransferProcessStatus

Status of the workbook transfer process.

Enum: pending, success, error

notifications

Type: array | null

Notifications generated during the workbook export.

Example
[
  {
    "entryId": "example",
    "scope": "dash",
    "code": "example",
    "message": "example",
    "level": "info",
    "details": null
  }
]

WorkbookTransferProcessStatus

Status of the workbook transfer process.

Type: string

Enum: pending, success, error

EntryScope

Type of the entry, e.g. dash — dashboard, widget — chart, etc.

Type: string

Enum: dash, report, widget, dataset, folder, connection, compute, artifact

WorkbookTransferNotificationLevel

Severity level of the workbook transfer notification.

Type: string

Enum: info, warning, critical

WorkbookTransferNotification

Name

Description

code

Type: string

Notification code.

Example: example

level

Type: WorkbookTransferNotificationLevel

Severity level of the workbook transfer notification.

Enum: info, warning, critical

details

Type: unknown

Additional notification details.

Example: null

entryId

Type: string

ID of the entry associated with the notification.

Example: example

message

Type: string

Notification message.

Example: example

scope

Type: EntryScope

Type of the entry, e.g. dash — dashboard, widget — chart, etc.

Enum: dash, report, widget, dataset, folder, connection, compute, artifact

Example
{
  "entryId": "example",
  "scope": "dash",
  "code": "example",
  "message": "example",
  "level": "info",
  "details": null
}
Предыдущая
Следующая